# Create template descriptor

Endpoint: POST /communicator/templatedescriptors
Version: 2025-03-26
Security: oauth2, bearerAuth, apiKeyHeader

## Request fields (application/json):

  - `channel` (string)
    The channel where interactions with a borrower occur. For example, an
outbound call with a borrower is considered a `voice` interaction.
**DEPRECATED**: The `fax` channel is deprecated: new interactions
cannot be created with the `fax` channel. It will be removed
from completely in the future.
    Enum: "voice", "email", "fax", "text", "chat", "mail", "gui", "document"

  - `enabled` (boolean)
    If `true`, then this template is disabled. Attempts to send messages with this
template will be rejected. (Return `400` responses from the API.)

  - `language` (string)
    The ISO 639-1 two character code of the email language.
    Example: en

  - `name` (string)
    An optional human-friendly name for templates. Only the `Custom1`-`Custom100`
family of subjects can have a custom name.

  - `productId` (string)
    The Loan Type ID to which this template is associated. By configuring
a Loan Type for a Template Descriptor it is possible to use completely different 
templates for different types of loans.
    Example: LT-AAAA-BBBB

  - `sensitive` (boolean)
    If `true`, then all interactions and documents created from this template will have
the `sensitive` field set to `true`. Such interaction and documents cannot have their
content viewed except with a special permission (`interaction:read.sensitive`).
Usually this would be used to prevent employees without need to access
private information from accessing it.

  - `subject` (string)
    The subject of the template

## Response 200 fields (application/json):

  - `activeVersionId` (string)
    The ID of the active version of the template. This is the version that will be used when rendering the template.
    Example: TV-AAAA-BBBB

  - `companyId` (string)
    Example: CP-AAAA-BBBB

  - `id` (string)
    ID of the Template Descriptor
    Example: TD-AAAA-BBBB

  - `channel` (string)
    The channel where interactions with a borrower occur. For example, an
outbound call with a borrower is considered a `voice` interaction.
**DEPRECATED**: The `fax` channel is deprecated: new interactions
cannot be created with the `fax` channel. It will be removed
from completely in the future.
    Enum: "voice", "email", "fax", "text", "chat", "mail", "gui", "document"

  - `enabled` (boolean)
    If `true`, then this template is disabled. Attempts to send messages with this
template will be rejected. (Return `400` responses from the API.)

  - `language` (string)
    The ISO 639-1 two character code of the email language.
    Example: en

  - `name` (string)
    An optional human-friendly name for templates. Only the `Custom1`-`Custom100`
family of subjects can have a custom name.

  - `productId` (string)
    The Loan Type ID to which this template is associated. By configuring
a Loan Type for a Template Descriptor it is possible to use completely different 
templates for different types of loans.
    Example: LT-AAAA-BBBB

  - `sensitive` (boolean)
    If `true`, then all interactions and documents created from this template will have
the `sensitive` field set to `true`. Such interaction and documents cannot have their
content viewed except with a special permission (`interaction:read.sensitive`).
Usually this would be used to prevent employees without need to access
private information from accessing it.

  - `subject` (string)
    The subject of the template

